Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class ScriptException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              groovy.util.ScriptException

    public class ScriptException
    extends Exception

Authors:
  sam

Constructor Summary
`ScriptException()`
`ScriptException(String message)` @param message
`ScriptException(String message, Throwable cause)` @param message
`ScriptException(Throwable cause)` @param cause

Method Summary

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ScriptException

    public ScriptException()

### ScriptException

    public ScriptException(String message)

  Parameters:
    message

### ScriptException

    public ScriptException(String message, Throwable cause)

  Parameters:
    message
    cause

### ScriptException

    public ScriptException(Throwable cause)

  Parameters:
    cause

Copyright © 2003-2010 The Codehaus. All rights reserved.